POST api/News/DeleteComment

Request Information

URI Parameters

None.

Body Parameters

NewsDeleteCommentModel
NameDescriptionTypeAdditional information
newsId

integer

None.

commentGuid

globally unique identifier

None.

accountGuid

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "newsId": 1,
  "commentGuid": "e60125ee-8b68-4fd4-a18e-b364b17b6d1f",
  "accountGuid": "6fa8af19-2ea7-404b-b994-139f22e14bca"
}

text/plain, application/octet-stream

Sample:
{"newsId":1,"commentGuid":"e60125ee-8b68-4fd4-a18e-b364b17b6d1f","accountGuid":"6fa8af19-2ea7-404b-b994-139f22e14bca"}

application/xml, text/xml

Sample:
<NewsDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody">
  <accountGuid>6fa8af19-2ea7-404b-b994-139f22e14bca</accountGuid>
  <commentGuid>e60125ee-8b68-4fd4-a18e-b364b17b6d1f</commentGuid>
  <newsId>1</newsId>
</NewsDeleteCommentModel>

multipart/form-data, application/form-data

Sample:
<NewsDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountGuid>6fa8af19-2ea7-404b-b994-139f22e14bca</accountGuid><commentGuid>e60125ee-8b68-4fd4-a18e-b364b17b6d1f</commentGuid><newsId>1</newsId></NewsDeleteCommentModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data

Sample:

Sample not available.